libpki-0.8.9-alt1.x86_64.rpm


Advertisement

Description

libpki - Library for PKI enabled application development

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package name libpki
Package version 0.8.9
Package release alt1
Package architecture x86_64
Package type rpm
Installed size 551.76 KB
Download size 551.76 KB
Official Mirror ftp.altlinux.org
The LibPKI Project is aimed to provide an easy-to-use PKI library for PKI
enabled application development. The library provides the developer with
all the needed functionalities to manage certificates, from generation
to validation. The LibPKI Project enables developers with the possibility
to implement complex cryptographic operations with a few simple function
calls by implementing an high-level cryptographic API.

Alternatives

Package Version Architecture Repository
libpki-0.8.9-alt1.i586.rpm 0.8.9 i586 Classic
libpki - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.15)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libc.so.6(GLIBC_2.7)(64bit) -
libcrypto.so.10()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libldap_r-2.4.so.2()(64bit) -
libmysqlclient.so.18()(64bit) -
libmysqlclient.so.18(libmysqlclient_18)(64bit) -
libpq.so.5()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
libresolv.so.2()(64bit) -
libresolv.so.2(GLIBC_2.2.5)(64bit) -
libresolv.so.2(GLIBC_2.9)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
libssl.so.10()(64bit) -
libxml2.so.2()(64bit) -
libxml2.so.2(LIBXML2_2.4.30)(64bit) -
libxml2.so.2(LIBXML2_2.6.0)(64bit) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
libpki = 0.8.9-alt1
libpki.so.89()(64bit) -

Download

Type URL
Binary Package libpki-0.8.9-alt1.x86_64.rpm
Source Package libpki-0.8.9-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libpki rpm package:
    # sudo apt-get install libpki

Files

Path
/etc/pki.conf
/etc/libpki/objectIdentifiers.xml
/etc/libpki/hsm.d/eracom-sdk.xml
/etc/libpki/hsm.d/etoken-engine.xml
/etc/libpki/hsm.d/etoken-pkcs11.xml
/etc/libpki/hsm.d/etoken.xml
/etc/libpki/hsm.d/opencryptoki.xml
/etc/libpki/hsm.d/tpm.xml
/etc/libpki/profile.d/crl.xml
/etc/libpki/profile.d/server.xml
/etc/libpki/profile.d/test.xml
/etc/libpki/profile.d/user.xml
/etc/libpki/store.d/empty.xml
/etc/libpki/token.d/default.xml
/etc/libpki/token.d/eracom.xml
/etc/libpki/token.d/etoken-engine.xml
/etc/libpki/token.d/etoken.xml
/etc/libpki/token.d/opencryptoki.xml
/etc/libpki/token.d/software.xml
/etc/libpki/token.d/test.xml
/etc/libpki/token.d/tpm.xml
/usr/lib64/libpki.so.89
/usr/lib64/libpki.so.89.89.9

Changelog

2016-01-25 - Vladimir Didenko <cow@altlinux.ru> 0.8.9-alt1
- New version
- Fix build deps
2015-07-06 - Vladimir Didenko <cow@altlinux.ru> 0.8.8-alt1
- Initial build

See Also

Package Description
libpki-devel-0.8.9-alt1.x86_64.rpm Header files and library for development with LibPKI
libpki-devel-static-0.8.9-alt1.x86_64.rpm The PKI static library
libpki-tools-0.8.9-alt1.x86_64.rpm Auxiliary tools for LibPKI
libplank-0.11.4-alt1.x86_64.rpm Library to build a elegant, simple, clean dock
libplank-devel-0.11.4-alt1.x86_64.rpm Library to build a elegant, simple, clean dock (development files)
libplankundo216-3.1.0-alt3.x86_64.rpm calligraplan library
libplanmain16-3.1.0-alt3.x86_64.rpm calligraplan library
libplanner-0.14.6-alt2.x86_64.rpm Libraries for planner
libplanner-devel-0.14.6-alt2.x86_64.rpm Libraries needed to develop for planner
libplanodf16-3.1.0-alt3.x86_64.rpm calligraplan library
libplanplugin16-3.1.0-alt3.x86_64.rpm calligraplan library
libplanprivate16-3.1.0-alt3.x86_64.rpm calligraplan library
libplanstore16-3.1.0-alt3.x86_64.rpm calligraplan library
libplanwidgets16-3.1.0-alt3.x86_64.rpm calligraplan library
libplanwidgetutils16-3.1.0-alt3.x86_64.rpm calligraplan library
Advertisement
Advertisement